%define name	lexed
%define version	4.7
%define release	%mkrel 5
%define major	%{version}
%define libname %mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Lexicon analyser
Source:		https://gforge.inria.fr/frs/download.php/1489/%{name}-%{version}.tar.bz2
URL:		https://gforge.inria.fr/projects/lingwb/
License:	GPL
Group:		Sciences/Computer science
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Lexed allows to search a dictionary entry from a string. The finished
automata-based algorithm is especially fast, and offers a good alternative to
hashes for large dictionnaries.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname %{name} 4.6}-devel

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README doc/*.html
%{_bindir}/%{name}
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/liblexed-%{version}.so

%files -n %{libname}-devel
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/%{name}-config
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/liblexed.so
%{_datadir}/aclocal/*




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.7-5mdv2008.1
+ Revision: 136546
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 4.7-5mdv2008.0
+ Revision: 74640
- better conflict on older lib

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 4.7-4mdv2008.0
+ Revision: 74626
- add explicit conflict from liblexed4.7-devel on liblexed4.6-devel

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.7-3mdv2008.0
+ Revision: 67057
- rebuild


* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.7-2mdv2007.0
+ Revision: 134337
- rebuild

* Mon Jan 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.7-1mdv2007.1
+ Revision: 114862
- new version

* Wed Aug 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.6-4mdk
- fix multiarch
- spec cleanup
- less stric requires
- %%mkrel

* Thu Dec 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.6-3mdk 
- explicit and stricter requires for lib package

* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.6-2mdk 
- fix 10.0 build

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.6-1mdk 
- new version

* Fri Aug 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.5.0-2mdk 
- fixed major

* Fri Jul 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.5.0-1mdk 
- new version
- rpmbuildupdate aware

* Wed Jun 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.4-2mdk 
- rebuild

* Fri Apr 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.4-1mdk
- new version

* Wed Apr 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.3-1mdk
- new version

* Tue Apr 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.2-1mdk
- new version
- updated description

